All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVRemarks

    com.sas.services.information.metadata.dav.DAVRemarks

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVFolderInterface, java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class DAVRemarks

Represents a set of comments, on a particular topic

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, UNSET`

Constructor Summary
`DAVRemarks(com.sas.services.information.RepositoryData entity)` Creates a new DAVRemarks object from a repositorydata entity
`DAVRemarks(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVRemarks object with a repository id `reposId` in the repository `repos`

Method Summary
`void` | `addComment(CommentInterface comment)` Adds a comment to the discussion thread.
`CommentInterface[]` | `getComments()` Returns the list of comments in the discussion thread.
`java.lang.String` | `getOwner()` Gets the discussion thread owner
`java.util.Set` | `getReferrals()`
`long` | `getStarted()` Gets the timestamp when the discussion thread was started
`java.lang.String` | `getThreadId()` Get the thread identifier for this remark.
`java.lang.String` | `getTopic()` Gets the discussion thread topic
`void` | `setOwner(java.lang.String owner)` Sets the discussion thread owner
`void` | `setReferrals(java.util.Set referralSet)`
`void` | `setStarted(long started)` Sets the date when the discussion thread was started
`void` | `setThreadId(java.lang.String threadId)` Set the thread identifier for this remark.
`void` | `setTopic(java.lang.String topic)` Sets the discussion thread topic

Methods inherited from class com.sas.services.information.metadata.dav.DAVFolder
`addEntity, createFolder, createFolder, createItem, createItem, getEntities, getItem, getItems, refresh, refresh, setItems`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, clearLocalLists, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, toString, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVRemarks

    public DAVRemarks(RepositoryInterface repos,
                      java.lang.String reposId)
               throws java.rmi.RemoteException

  Creates a new DAVRemarks object with a repository id `reposId` in the repository `repos`

  Throws:
    `java.rmi.RemoteException`

### DAVRemarks

    public DAVRemarks(com.sas.services.information.RepositoryData entity)
               throws java.rmi.RemoteException

  Creates a new DAVRemarks object from a repositorydata entity

  Throws:
    `java.rmi.RemoteException`

Method Detail

### addComment

    public void addComment(CommentInterface comment)
                    throws java.rmi.RemoteException

  Adds a comment to the discussion thread. If the comment has any attachments they are also added to the discussion thread.

  Parameters:
    `comment` - The commment to be added to the discussion thread
  Throws:
    `java.rmi.RemoteException`

### getComments

    public CommentInterface[] getComments()
                                   throws java.rmi.RemoteException

  Returns the list of comments in the discussion thread.

  Returns:
    CommentInterface[] The list of comments in this discussion thread
  Throws:
    `java.rmi.RemoteException`

### setOwner

    public void setOwner(java.lang.String owner)

  Sets the discussion thread owner

  Parameters:
    `owner` - The discussion thread owner

### getOwner

    public java.lang.String getOwner()

  Gets the discussion thread owner

  Returns:
    String The discussion thread owner

### setTopic

    public void setTopic(java.lang.String topic)

  Sets the discussion thread topic

  Parameters:
    `topic` - The discussion thread topic

### getTopic

    public java.lang.String getTopic()

  Gets the discussion thread topic

  Returns:
    String The discussion thread topic

### setStarted

    public void setStarted(long started)

  Sets the date when the discussion thread was started

  Parameters:
    `started` - The timestamp when the discussion thread was started

### getStarted

    public long getStarted()

  Gets the timestamp when the discussion thread was started

  Returns:
    long The started timestamp

### setReferrals

    public void setReferrals(java.util.Set referralSet)

### getReferrals

    public java.util.Set getReferrals()

### setThreadId

    public void setThreadId(java.lang.String threadId)

  Set the thread identifier for this remark.

  Parameters:
    `threadId` - A String representing the thread identifier

### getThreadId

    public java.lang.String getThreadId()

  Get the thread identifier for this remark.

  Returns:
    String The thread identifier for this remark. Return `null` if there is no thread identifier.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.